import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const unitOfMeasureSets = await conductor.qbd.unitOfMeasureSets.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(unitOfMeasureSets.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
unit_of_measure_sets = conductor.qbd.unit_of_measure_sets.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(unit_of_measure_sets.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/unit-of-measure-sets \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"objectType": "list",
"url": "/v1/quickbooks-desktop/unit-of-measure-sets",
"data": [
{
"id": "80000001-1234567890",
"objectType": "qbd_unit_of_measure_set",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "Weight Units",
"isActive": true,
"unitOfMeasureType": "count",
"baseUnit": {
"name": "Each",
"abbreviation": "ea"
},
"relatedUnits": [
{
"name": "Case",
"abbreviation": "ea",
"conversionRatio": "10"
}
],
"defaultUnits": [
{
"unitUsedFor": "purchase",
"unit": "Each"
}
]
}
]
}List all unit-of-measure sets
Lists all unit-of-measure sets. NOTE: QuickBooks Desktop does not support pagination for unit-of-measure sets; hence, there is no cursor parameter. Users typically have few unit-of-measure sets.
NOTE: The QuickBooks company file must have unit-of-measure enabled (either a single unit per item or multiple units per item).
NOTE: QuickBooks Desktop does not support pagination for unit-of-measure sets; hence, there is no cursor parameter. Users typically have few unit-of-measure sets.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const unitOfMeasureSets = await conductor.qbd.unitOfMeasureSets.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(unitOfMeasureSets.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
unit_of_measure_sets = conductor.qbd.unit_of_measure_sets.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(unit_of_measure_sets.data)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Query Parameters
Filter for specific unit-of-measure sets by their QuickBooks-assigned unique identifier(s).
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
["80000001-1234567890"]
Filter for specific unit-of-measure sets by their name(s), case-insensitive. Like id, name is a unique identifier for an unit-of-measure set.
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
["Weight Units"]
The maximum number of objects to return.
IMPORTANT: QuickBooks Desktop does not support cursor-based pagination for unit-of-measure sets. This parameter will limit the response size, but you cannot fetch subsequent results using a cursor. For pagination, use the name-range parameters instead (e.g., nameFrom=A&nameTo=B).
When this parameter is omitted, the endpoint returns all unit-of-measure sets without limit, unlike paginated endpoints which default to 150 records. This is acceptable because unit-of-measure sets typically have low record counts.
x >= 110
Filter for unit-of-measure sets that are active, inactive, or both.
active, all, inactive "active"
Filter for unit-of-measure sets updated on or after this date/time. Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T00:00:00). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-01-01T12:34:56.000Z"
Filter for unit-of-measure sets updated on or before this date/time. Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T23:59:59). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-02-01T12:34:56.000Z"
Filter for unit-of-measure sets whose name contains this substring, case-insensitive.
NOTE: If you use this parameter, you cannot also use nameStartsWith or nameEndsWith.
"ABC"
Filter for unit-of-measure sets whose name starts with this substring, case-insensitive.
NOTE: If you use this parameter, you cannot also use nameContains or nameEndsWith.
"ABC"
Filter for unit-of-measure sets whose name ends with this substring, case-insensitive.
NOTE: If you use this parameter, you cannot also use nameContains or nameStartsWith.
"ABC"
Filter for unit-of-measure sets whose name is alphabetically greater than or equal to this value.
"A"
Filter for unit-of-measure sets whose name is alphabetically less than or equal to this value.
"Z"
Response
Returns a list of unit-of-measure sets.
The type of object. This value is always "list".
"list""list"
The endpoint URL where this list can be accessed.
"/v1/quickbooks-desktop/unit-of-measure-sets"
The array of unit-of-measure sets.
Show child attributes
Show child attributes

